---
title: Janayugom GNU/Linux Project
heading: Janayugom GNU/Linux Project
subtitle:
permalink: /janayugom/
icons: true
image: janayugom-bg.jpg
description: Technology Migration of Janayugom Daily News Paper to Free Software.<br/> The first daily newspaper in the world to use 100% Free Software for news publishing.
---
<h3>About Janayugom Daily</h3>
<p class="full"><a href="https://janayugomonline.com/contact-us/">Janayugom</a> is a Malayalam (a South-Indian language spoken in Kerala) daily newspaper with nearly 100,000 subscribers and 14 bureaus in Kerala. Previously Janayugom used to depend upon an outdated version of a proprietary software (Adobe PageMaker, final major release in 2001) for their layout and production related works. Moreover it only supported ASCII encoding. When they decided that they should move to a better software with much more essential features including Unicode support, the most recommended suggestion from the software industry was to use Adobe InDesign (the successor of Adobe PageMaker). But then they found that, unlike for PageMaker, InDesign cannot be purchased for a one-time license fee but only available for a monthly (or annual) subscription fee which was economically not at all viable for Janayugom.</p>
<h3>Search for alternatives</h3>
<p class="full">Since Adobe InDesign wasn't affordable for Janayugom, they consulted K. H. Hussain (Signatory of Rachana Institute of Typography and the developer of various Unicode fonts in Malayalam including Rachana) and P. K. Ashok Kumar (Signatory of Rachana Institute of Typography and has more than 4 decades of expertise in the art of typesetting) for another alternative. It's them who suggested Scribus, a Free and Open Source Desktop Publishing Software, for Janayugom. K. H. Hussain further contacted <a href="https://gitlab.com/pravi">Praveen Arimbrathodiyil</a> (official Debian Developer, Free Software advocate and activist who works restlessly to promote Free Software and thus having a lot of contacts in this field) asking for support in Scribus and GNU/Linux (Free and Open Source Operating System) in general. It's through Praveen, K. H. Hussain came to know about Mujeeb Rahman K who has already worked with Scribus before and a regular user of Free and Open Source Software for day-to-day needs.</p>
<h3>Team formation</h3>
<p class="full">Under the leadership of K. H. Hussain and P. K. Ashok Kumar, Alpha Fork team consisting of Ranjith Sajeev (also known as Ranjith Siji, Co-founder and Software Developer of Alpha Fork Technologies), Mujeeb Rahman K (Co-founder and Software Developer of Alpha Fork Technologies), Kannan V M (Software Developer of Alpha Fork Technologies, Member of FSCI) and Ambady Anand S (Software Developer of Alpha Fork Technologies, Maintainer of Poddery.com) decided to provide the technical support required for Janayugom to migrate to Scribus.</p> 
<p>From now onwards 'we' here means this team consisting of K. H. Hussan, P. K. Ashok Kumar and Alpha Fork Team mentioned above.</p>
<h3>Migration to Unicode and Traditional Malayalam Exhaustive Character Set</h3>
<p>Since Janayugom was migrating to Unicode as well, K. H. Hussain, who is an active advocate of the exhaustive character set of Malayalam (aka 'old lipi' or 'thanathu lipi'), undertook the work of developing three new Unicode fonts, named TN Joy (Released by RIT), R Sugathan and Janayugom, which all consist of old lipi. Among these, TN Joy font has already been released, named so in the memory of T.N. Joy (a well-known political and social activist), under SIL Open Font License and is available for public at <a href="http://rachana.org.in">Rachana Institute of Typography</a>. K. H. Hussain is also the developer of Rachana, Meera, Keraleeyam and Uroob fonts which are currently maintained by <a href="http://smc.org.in/fonts">SMC (Swathanthra Malayalam Computing)</a> along with some other fonts. Apart from the general benefits of migrating to Unicode, it also enables Janayugom to use any of these fonts.</p>
<h3>Migration to 100% Free Software</h3>
<p>Janayugom got convinced that migration to Scribus is crucial for its existence in a time where newspaper publishing industry is already facing economic crisis due to various non-friendly policies of the Central Government. In addition to that the subscription fee of various necessary but proprietary software, including operating system, will literally mark the end of many small and medium scale publications. That's what urged Janayugom to migrate to 100% Free Software, which also marks a political statement regarding their resistance against both the Multi-National Companies that levy unaffordable charges and the Central Government that isn't working in their interests. The solution we offered was to develop their own operating system, which later became known as Janayugom GNU/Linux, consisting all the required tools (including Scribus, <a href="https://gimp.org">GIMP</a>, <a href="https://inkscape.org">Inkscape</a>, <a href="https://libreoffice.org">LibreOffice</a>, an ASCII-to-Unicode converter - which later became known as <a href="https://gitlab.com/alphafork/janayugomedit">Janayugom Edit</a>, etc) for all of their prepress workflow.</p>
<h3>Janayugom GNU/Linux</h3>
<p>We studied the workflow of Janayugom prepress processes and decided to develop an operating system, also known as GNU/Linux distribution (distro as short), that satisfies all their needs. We chose <a href="https://kubuntu.org">Kubuntu</a> (a flavor of Ubuntu that comes with KDE Desktop Environment by default instead of GNOME) as the base distro for developing the OS because Ubuntu (a derivative of Debian GNU/Linux, a community project which also maintains the largest repo of Free Software in the world) has better support for a wide variety of hardware in general and offers relatively latest updates (w.r.t 'Debian stable' because it's based on 'Debian testing') without making much compromise in stability. Also, <a href="https://kde.org">KDE</a> was getting more leaner (with considerable decrease in memory consumption) and faster recently and at the same time makes it easier for users to migrate from Windows due to its similar look and feel.</p>
<h3>Scribus</h3>
<p><a href="https://scribus.net">Scribus</a> is a cross-platform (works on GNU/Linux, Microsoft Windows, macOS, etc) Free and Open Source software for Desktop Publishing which initially only had support for latin languages. It's the developers of a community project funded by the Oman Government, called <a href="https://github.com/HOST-Oman">HOST-Oman</a> (House of Open Source Technologies - Oman), who introduced support for Non-Latin languages with Complex Text Layout in Scribus. And as a part of this development, Malayalam also got supported in Scribus version 1.5.3. Even though the proper support for Malayalam, including for the most wanted feature called hyphenation, only came with version 1.5.4. But unfortunately this version is not officially released as stable yet. So in Janayugom GNU/Linux, we added the latest Scribus version available then, 1.5.6svn, with the help of Ubuntu PPA (a popular platform which provides packages and updates which are not available in the official repos).</p>
<h3>Janayugom Edit</h3>
<p>Janayugom Edit is an ASCII to Unicode converter written in Qt (a popular C++ framework) mostly by Kanan V M. It was inspired from and makes use of the map files from an ASCII-Unicode converter python program called Payyans, developed by SMC. Since it's written in C++, it works significantly much faster than its popular alternative called TypeIT which is widely used by the Windows users. It also acts as a Unicode editor which can be used to type news and to save them as plain text files. There were valuable inputs from K. H. Hussain which helped in implementing a text cleaning process (from basic trimming of whitespaces to replacing commonly misspelled words) which reduces a lot of manual as well as repetitive effort of the typesetting employees. Later support was added to open PageMaker documents (a.k.a pmd files) directly inside Janayugom Edit, by making use of libraries called libpagemaker and librevenge (developed by the Document Liberation Project) with some necessary modifications and bugfixes, so that the use of PageMaker and Windows could be totally avoided. P. K. Ashok Kumar helped a lot in testing the software and provided some valuable suggestions without which some bugs would haven't got fixed yet.</p>
<h3>Implementation</h3>
<p>Under the strong leadership of <a href="https://en.wikipedia.org/wiki/Rajaji_Mathew_Thomas">Rajaji Mathew Thomas</a> (Janayugom Editor) and the management of Janayugom, all staffs got prepared to adapt themselves with the migration of entire software stack they were using for a long time. It has its difficulties to prepare the entire staff for a whole technology stack migration since they have to learn many new things and eventually have to forget what they got used to do for the past two decades. But the confidence and determination of K. H. Hussain and P. K. Ashok Kumar helped Rajaji and the management team to go ahead with courage.</p>
<h3>Janayugom GNU/Linux Training</h3>
<p>Janayugom consists of more than 100 employees and nearly the same number of computers spread across 14 bureaus all over Kerala. For the migration to be seamless it was decided to conduct hands-on training for all the corresponding employees in three batches, each consisting of 5-days training. One day to learn the basic usage of operating system and to get started with understanding the whole software stack and the workflow, one day for graphics related training including GIMP and Inkscape and three days dedicated for Scribus training. First it was planned to conduct the training sessions in 3 zones (Thiruvananthapuram, Ernakulam and Kozhikkode), but later changed the plan to conduct all sessions at Thiruvananthapuram Head Office itself for ease of management. First batch training was started on September 2, 2019. There was a special session focussed on the photographers and the graphics team, encouraging them to use Creative Commons license as well as to contribute to Wikimedia Commons. A separate GNU/Linux system administration training was also provided to the two system administrators of Janayugom in parallel.</p>
<h3>Janayugom GNU/Linux Installation</h3>
<p>Before starting the training sessions, we installed Janayugom GNU/Linux on all computers required for training. After completing the first batch training on September 6, 2019 we travelled all districts in Kerala to install the operating system in all Janayugom bureaus. This was completed within one week time and before the second batch training scheduled to start on September 16. After second batch training employees started to gain more confidence and the trained employees began to design their individual papers assigned to them in Scribus.</p>
<h3>Hardware & Networking Configuration</h3>
<p>We migrated the file sharing server to GNU/Linux for seamless integration with the production environment. We used SSHFS filesystem to mount the network server on client computers for better file transfer access. We modified Janayugom Edit with network file management capabilities. This prevents accidental editing of a file which is active under another session.</p>
<hr/>
<h2>Pioneers of Digital Freedom in News Publishing</h2>
<div class="divider-holder"><div class="divider-line" ></div></div>
<p>According to what we know, Janayugom publications is the pioneers in the world in successfully implementing 100% Free Software for all the prepress processes in news publishing. We were very glad to help them in fulfilling this historical achievement. Even if there were attempts before, such as the one by <a href="https://en.wikipedia.org/wiki/Prajasakti">Prajasakti</a> in adopting Scribus (a Telugu daily newspaper in Andhra Pradesh which is no longer in circulation) with the help of <a href="https://www.blogger.com/profile/14066963594571131093">Anil Kumar</a> (one of the pioneers who attempted to add Malayalam support in Scribus) and <a href="http://atps.in/about-us">ATPS</a> (Appropriate Technology Promotion Society) as early as in 2013, no one was able to implement it successfully. From 2019 October 2 (150th birth anniversary of Mahatma Gandhi) onwards all the pages of Janayugom newspaper are designed entirely in Scribus and after successfully continuing this process for one month, this news was officially announced by Pinarayi Vijayan, the Chief Minister of Kerala, to the world.</p>
<h2>The Media Summit</h2>
<div class="divider-holder"><div class="divider-line" ></div></div>
<p>Kerala Media Academy organized a 2-days <a href="https://social.masto.host/@praveen/103054850692040770">media summit</a> on October 31st and November 1st at Mascot Hotel, Thiruvananthapuram, consisting of representatives of all popular newspapers in Kerala to explore the possibilities of Free Software in publishing. The summit was inaugurated by <a href="https://github.com/Fahad-Alsaidi">Fahad Al Zaidi</a>, one of the core developers of the HOST-Oman project, who played significant role in adding support for non-latin languages in Scribus. He has offered all the support needed for further developments in Scribus. The summit also became the venue for the formation of a consortium consisting of the above mentioned representatives and IT experts to promote self-reliance in publishing. The consortium will raise fund for further devolepements and the Kerala Government has assured full support to the project.</p>